## telepathy-ufa 0.18

=== CMakeLists.txt ===
project(TelepathyUfA)
cmake_minimum_required(VERSION 2.8)

if (NOT LIBEXEC_DIR)
    set(LIBEXEC_DIR libexec)
endif (NOT LIBEXEC_DIR)

# find the python site-packages dir
execute_process (COMMAND python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()" 
                 OUTPUT_VARIABLE PYTHON_SITE_PACKAGES 
                 OUTPUT_STRIP_TRAILING_WHITESPACE)

install (DIRECTORY tpufa DESTINATION ${PYTHON_SITE_PACKAGES})
install (PROGRAMS telepathy-ufa DESTINATION ${LIBEXEC_DIR})

subdirs(data)

=== data/CMakeLists.txt ===
configure_file(ufa.service.in org.freedesktop.Telepathy.ConnectionManager.ufa.service)

install (FILES ufa.manager DESTINATION share/telepathy/managers)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.ConnectionManager.ufa.service DESTINATION share/dbus-1/services)

=== debian/changelog ===
telepathy-ufa (0.18) precise; urgency=low

  [ Tiago Salem Herrmann ]
  * Use old handle instead of creating new ones if we have a channel for it already. (LP: #1135997)

  [ PS Jenkins bot ]
  * Auto build.

 -- PS Jenkins bot <ps-jenkins@lists.canonical.com>  Thu, 21 Mar 2013 15:44:10 +0000

telepathy-ufa (0.17) precise; urgency=low

  * Postpone changes to the speaker mode until the call is started. (LP: #1100933)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Tue, 22 Jan 2013 15:34:27 -0200

telepathy-ufa (0.16) precise; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Replace the call arrays by classes with named members to improve readability.
  * Save the android message id to the message-token property. (LP: #1031905)

  [ Tiago Salem Herrmann ]
  * Use connection id instead of phone numbers to identify calls.
  * Code cleanup. remove dead/old code.
  * Change debian package format from quilt to native
  * Add custom methods/property to manage speaker mode
  * Add custom methods/properties to retrieve voicemail information.

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 05 Dec 2012 08:42:22 -0800

telepathy-ufa (0.15) precise; urgency=low

  * hangup a call only after we have its call id (LP: #1029568)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Thu, 26 Jul 2012 12:12:27 -0700

telepathy-ufa (0.14) precise; urgency=low

  * use comparePhoneNumbers() to compare channels (LP: #1028147)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 25 Jul 2012 12:19:36 -0700

telepathy-ufa (0.13) precise; urgency=low

  * fix Tracebacks making telephony-app-approver crash (LP: #1028085)
  * update messageReceived() signature
  * mark acknowledged messages as read in android (LP: #1017665)
  * create channels for unread conversations in android (LP: #1024060)
  * do not create two channels for the same call (LP: #1028147)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Tue, 24 Jul 2012 12:54:31 -0700

telepathy-ufa (0.12) precise; urgency=low

  * refresh call status and create the call channels during startup (LP: #1019239)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Fri, 20 Jul 2012 12:46:30 -0700

telepathy-ufa (0.11) precise; urgency=low

  * add UfAAvatars interface and properly set the contact alias

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Thu, 19 Jul 2012 07:23:35 -0700

telepathy-ufa (0.10) precise; urgency=low

  * set state to NO_ANSWER only if the remote user didn't answer the call

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Mon, 09 Jul 2012 14:08:19 -0700

telepathy-ufa (0.9) precise; urgency=low

  [ Olivier Tilloy ]
  * Add missing debian/copyright.

  [ Tiago Salem Herrmann ]
  * update mute state properly based on android signals (LP: #1017644)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Fri, 29 Jun 2012 15:14:46 -0700

telepathy-ufa (0.8newyork2) precise; urgency=low

  * call DTMF methods on android when applicable (LP: #1017651)
  * call Mute methods on android when applicable

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Tue, 26 Jun 2012 13:57:17 -0700

telepathy-ufa (0.8newyork1) precise; urgency=low

  * fix remote hangup when using the apk service version (LP: #1017586)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Mon, 25 Jun 2012 13:27:04 -0700

telepathy-ufa (0.8) precise; urgency=low

  * port CM to the new android telephony service api

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Fri, 22 Jun 2012 07:24:40 -0700

telepathy-ufa (0.7) precise; urgency=low

  * implement Hold interface
  * explicitly export the DTMF interface

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Mon, 18 Jun 2012 16:18:10 -0700

telepathy-ufa (0.6) precise; urgency=low

  * implement Mute interface
  * implement DTMF interface
  * set end state when applicable
  * call hangUpCall() for outgoing calls

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Tue, 12 Jun 2012 18:16:50 -0300

telepathy-ufa (0.5) precise; urgency=low

  * add initial call support

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Mon, 11 Jun 2012 06:47:40 -0700

telepathy-ufa (0.4) precise; urgency=low

  * Include the name of the service sub-directory in the D-Bus path.
    (LP: #974615)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 May 2012 11:58:23 +0200

telepathy-ufa (0.3) precise; urgency=low

  * implement sms receiving support

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Fri, 25 May 2012 08:53:57 -0700

telepathy-ufa (0.2) precise; urgency=low

  * fix missing build-dep

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 23 May 2012 10:56:13 -0700

telepathy-ufa (0.1) precise; urgency=low

  * Initial release

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 23 May 2012 06:00:20 -0700

=== debian/control ===
Source: telepathy-ufa
Section: net
Priority: optional
Maintainer: Tiago Salem Herrmann <tiago.herrmann@canonical.com>
Build-Depends: debhelper (>= 8.0.0), cmake, python
Standards-Version: 3.9.2
Vcs-Bzr:  https://code.launchpad.net/~newyork-team/newyork/telepathy-ufa

Package: telepathy-ufa
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python-dbus, python-gobject, python-telepathy, python-vobject
Description: TelepathyUfA connection manager
 A telepathy connection manager for the ubuntu for 
 android project

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- -DLIBEXEC_DIR=lib/telepathy

%:
	dh $@
